@import url(_presets.css);

* {
  box-sizing: border-box;
}

body,
html {
  background-color: var(--background);
  color: var(--foreground);
  font-family: Arial, Helvetica, sans-serif;
  height: 100%;
  width: 100%;
  overflow: hidden;
  color: var(--white);
}

&::-webkit-scrollbar {
  display: none;
}

p {
  font-size: 2vh;
}

.glass {
  /* width: 300px; */
  /* padding: 30px; */
  /* border-radius: 20px; */
  background: rgba(63, 63, 63, 0.15);
  backdrop-filter: blur(15px);
  -webkit-backdrop-filter: blur(15px);
  /* border: 1px solid rgba(0, 0, 0, 0.3); */
  box-shadow: 0 8px 32px rgba(0, 0, 0, 0.2);
  /* color: white; */
  /* text-align: center; */
}

header {
    z-index: 5;
    position: fixed;
    top: 0vh;
    left: 0vw;
    display: flex;
    width: 100vw;
    height: 8vh;
    align-items: center;
    justify-content: start;
    border-bottom: 2px solid var(--foreground);
    box-shadow: 0 2px 20px var(--primary);
    /* border-radius: 4vh; */
    background-color: var(--background);
    /* background-color: blueviolet; */
}

header .logo {
    position: relative;
    width: 2vw;
    height: 2vw;
    left: 1vw;
    background-image: url(../img/erde_icon.png);
    background-size: cover;
    transition: transform 0.3s;
    margin-right: 1vw;
}

header .logo:hover {
    transform: rotateY(180deg);
}

header h1 {
    position: relative;
    font-size: 4vh;
    left: 1vw;
}

header .nav-bar {
    /* background: var(--background); */
    display: flex;
    width: 15vw;
    position: absolute;
    right: 5vw;
    justify-content: space-around;
    /* border: var(--primary) solid 2px; */
    border-radius: 2vw;
    text-align: center;
    /* box-shadow: 0px 0px 20px inset var(--primary); */
}

header a{
    display: block;
    text-decoration: none;
    color: var(--white);
}

.nav-bar p {
     font-size: 2vh; 
    display: flex;
    position: relative;
    cursor: pointer;
    justify-content: center;
    width: 5vw;
    color: var(--white);
    transition: transform 0.3s;
}



.nav-bar p:hover a {
    color: var(--prymary);
}

.nav-bar p::after {
    content: "";
    position: absolute;
    top: 2.5vh;
    left: 0;
    width: 100%;
    height: 2px;
    background-color: var(--prymary);
    transform: scaleX(0);
    transition: transform 0.3s;
}

.nav-bar p:hover::after {
    transform: scaleX(0.7);
}



main {
  display: flex;
  justify-content: center;
  align-items: center;
}

#scores {
  display: flex;
  flex-direction: row;
  gap: 5vw;
  position: relative;
  bottom: 10vh;
}


.quiz-field {
  position: absolute;
  top: 10vh;
  height: 80vh;
  width: 90vw;
  display: flex;
  justify-content: center;
  align-items: center;
  /* border: 1px solid white; */
  /* margin-top: 10rem; */
  flex-direction: column;
}

.quiz-field .questions {
  position: relative;
  bottom: 5vh;
  /* border: 1px solid white; */
  font-size: 3vh;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 70vw;
  height: 10vh;
  text-align: center;
  /* margin-bottom: 4rem; */
}

.quiz-field .answers {
  display: flex;
  flex-direction: row;
  width: 80vw;
  align-items:center;
  justify-content: space-between;
  /* gap: 4rem; */
  /* border: 1px solid white; */
}

.quiz-field .answers .answer {
  /* padding: 0px 20px; */
  cursor: pointer;
  text-align: center;
  display: flex;
  height: 10vh;
  width: 25vw;
  background-color: var(--button);
  /* flex-direction: row; */
  align-items: center;
  justify-content: center;
  border-radius: 5vh;
  transition: 0.3s;
  /* box-shadow: 0px 0px 3px 5px #131313; */
}



.quiz-field .answer input[type="checkbox"] {
    display: none;
}

.quiz-field .answer input[type="checkbox"]:checked + label {
    border: none;
    background-color: var(--prymary);
    /* color: white; */
}

.quiz-field .answer:hover{
  box-shadow: 0px 0px 10px 5px var(--secondary);
}

label {
  /* box-shadow: none; */
  font-size: 2vh;
  padding: 0px 4vh;
}

/* .answers input[type="checkbox"] {
    display: none;
}

.answers p {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 10px;
    width: 90%;
    height: 70px;
    border-radius: 50px;
    background-color:var(--secondary);
    cursor: pointer;
    font-family: sans-serif;
    transition: background-color 0.2s;
    margin-left: 6.65%;
}


.answers input[type="checkbox"]:checked + p {
    border: none;
    background-color: var(--secondary);
    color: white;
} */





.quiz-field .buttons {
  display: flex;
  position: absolute;
  width: 50vw;
  height: 10vh;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  bottom: 2vh;
}

.quiz-field .buttons #end_btt {
  height: 10vh;
  width: 20vw;
  font-size: 2vh;
  font-weight: 500;
  background-color: var(--button);
  box-shadow: 0px 0px 5px 3px #ff6044 inset;
  border-radius: 5vh;
  border: none;
  color: white;
  transition: 0.3s;
}

.quiz-field .buttons #end_btt:hover {
  background-color: #ff6044;
}

.quiz-field .buttons #next {
  height: 10vh;
  width: 20vw;
  font-size: 2vh;
  font-weight: 500;
  background-color: var(--button);
  box-shadow: 0px 0px 5px 3px var(--prymary) inset;
  border-radius: 5vh;
  border: none;
  color: white;
  transition: 0.3s;
}

.quiz-field .buttons #next:hover {
  background-color: var(--prymary);
}
/* 
footer {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  position: sticky;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 4rem;
  font-weight: 500;
  font-size: 1.2rem;

  box-shadow: 0px 0px 20px inset var(--primary);
  border-top: var(--primary) solid 2px;
}

footer .footer {
  margin-left: 1rem;
  width: 100%;
  display: flex;
  flex-wrap: 0;
} */

#popup {
  /* display:flow-root; */
  /* flex-direction: column; */
  /* justify-content: center; */
  /* align-items: center; */
  height: 60vh;
  width: 25vw;
  background-color: var(--background);
  color: white;
  border: none;
  box-shadow: 0px 0px 5px 3px var(--secondary);
  border-radius: 2vh;
  padding: 0;
}

#popup #points {
  position: relative;
  left: 0px;
  bottom: 0px;
}

#popup div{
  /* position: relative; */
  /* background-color: aqua  ; */
  padding: 0px 2vw;
  text-align: center;
  height: 60vh;
  width: 25vw;
  overflow: hidden;
  display: flex; 
  flex-direction: column;
  /* justify-content: center;  */
  align-items: center;
  justify-content: center;

}

#popup button{
  
  color: var(--white);
  font-size: 2vh;
  position: absolute;
  bottom: 5vh;
  width: 15vw;
  height: 5vh;
  border: none;
  border-radius: 2.5vh;
  cursor: pointer;
  background-color: var(--button);
  box-shadow: 0px 0px 5px 3px var(--prymary);
  transition: 0.3s;
  outline: none;
}

#popup button:hover{
  background-color: var(--prymary);
  box-shadow: none;
}

dialog::backdrop {
  background: rgba(0, 0, 0, 0.7);
}
